GroovyBuiltins (Groovy 5.0.0)

Package: org.apache.groovy.groovysh.jline

## [Groovy] Class GroovyBuiltins

- org.apache.groovy.groovysh.jline.GroovyBuiltins

-     class GroovyBuiltins
      extends org.jline.console.impl.Builtins

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyBuiltins(GroovyEngine engine, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath, org.jline.reader.LineReader reader, Function<String, org.jline.reader.Widget> widgetCreator)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `name()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.jline.console.impl.Builtins` | `org.jline.console.impl.Builtins#alias(java.lang.String, java.lang.String), org.jline.console.impl.Builtins#commandAliases(), org.jline.console.impl.Builtins#commandDescription(java.util.List), org.jline.console.impl.Builtins#commandInfo(java.lang.String), org.jline.console.impl.Builtins#commandNames(), org.jline.console.impl.Builtins#commandOptions(java.lang.String), org.jline.console.impl.Builtins#compileCommandDescription(java.lang.String), org.jline.console.impl.Builtins#compileCommandInfo(java.lang.String), org.jline.console.impl.Builtins#compileCommandOptions(java.lang.String), org.jline.console.impl.Builtins#compileCompleters(), org.jline.console.impl.Builtins#defaultCompleter(java.lang.String), org.jline.console.impl.Builtins#doHelpDesc(java.lang.String, java.util.List, org.jline.console.CmdDesc), org.jline.console.impl.Builtins#equals(java.lang.Object), org.jline.console.impl.Builtins#getClass(), org.jline.console.impl.Builtins#getCommandMethods(java.lang.String), org.jline.console.impl.Builtins#hasCommand(java.lang.String), org.jline.console.impl.Builtins#hashCode(), org.jline.console.impl.Builtins#invoke(org.jline.console.CommandRegistry$CommandSession, java.lang.String, [Ljava.lang.Object;), org.jline.console.impl.Builtins#name(), org.jline.console.impl.Builtins#notify(), org.jline.console.impl.Builtins#notifyAll(), org.jline.console.impl.Builtins#parseOptions([Ljava.lang.String;, [Ljava.lang.Object;), org.jline.console.impl.Builtins#registerCommands(java.util.Map), org.jline.console.impl.Builtins#registerCommands(java.util.Map, java.util.Map), org.jline.console.impl.Builtins#registeredCommand(java.lang.String), org.jline.console.impl.Builtins#rename(java.lang.Enum, java.lang.String), org.jline.console.impl.Builtins#saveException(java.lang.Exception), org.jline.console.impl.Builtins#setLineReader(org.jline.reader.LineReader), org.jline.console.impl.Builtins#toString(), org.jline.console.impl.Builtins#wait(), org.jline.console.impl.Builtins#wait(long), org.jline.console.impl.Builtins#wait(long, int)`

- - ### Constructor Detail

    - #### GroovyBuiltins(GroovyEngine engine, Supplier<Path> workDir, org.jline.builtins.ConfigurationPath configPath, org.jline.reader.LineReader reader, Function<String, org.jline.reader.Widget> widgetCreator)

  - ### Method Detail

    - #### @Override
      String name()